Bug 1264755 - qpid-proton-0.10-2.fc24 FTBFS in mock
qpid-proton-0.10-2.fc24 FTBFS in mock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qpid-proton (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Irina Boverman
Fedora Extras Quality Assurance
https://ppisar.fedorapeople.org/perl_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 03:09 EDT by Petr Pisar
Modified: 2016-03-09 15:13 EST (History)
2 users (show)

See Also:
Fixed In Version: qpid-proton-0.12.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:54:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-21 03:09:49 EDT
qpid-proton-0.10-3.fc24 fails to build in F24 mock environment when bootstrapping perl packages:

/builddir/build/BUILD/qpid-proton-0.10/proton-c/bindings/python/cprotonPYTHON_wrap.c:5026:25: error: 'PN_HANDLE' undeclared (first use in this function)
       PNI_PYTRACER = *((PN_HANDLE *)(argp));

This does not happen in koji, but I suspect there is some bug. Maybe a missing build-time dependency.
Comment 1 Jan Kurik 2016-02-24 08:46:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-02-26 18:33:27 EST
qpid-proton-0.12.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f46f365348
Comment 3 Fedora Update System 2016-02-28 08:55:00 EST
qpid-proton-0.12.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f46f365348
Comment 4 Fedora Update System 2016-03-09 10:54:09 EST
qpid-proton-0.12.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-03-09 15:13:12 EST
qpid-proton-0.12.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.